View Issue Details

IDProjectCategoryView StatusLast Update
0032667Open CASCADEOCCT:Codingpublic2021-11-27 15:04
Reporteraml Assigned Tosmoskvin  
PrioritynormalSeverityintegration request 
Status verifiedResolutionfixed 
Product Version7.6.0 
Target Version7.7.0 
Summary0032667: Coding - get rid of unused forward declarations [LibCtl to StepRepr]
Descriptioninclude-what-you-use is a great tool for code health improvement. It allows for detecting unused headers and forward declarations.

Packages from LibCtl to StepRepr (inclusively) are processed in this ticket.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberN/A

Relationships

child of 0032615 closedbugmaster Coding - get rid of unused forward declarations 

Activities

git

2021-11-16 17:42

administrator   ~0105221

Branch CR32667 has been created by aml.

SHA-1: ba700ff0908b561e3e01dc2725c2c589adb54bfa


Detailed log of new commits:

Author: aml
Date: Tue Nov 16 17:00:04 2021 +0300

    0032667: Coding - get rid of unused forward declarations [LibCtl to StepRepr]

aml

2021-11-17 08:35

developer   ~0105225

Dear Kirill,

Please take a look at the patch. Jenkins results are:
http://jenkins-test-occt.nnov.opencascade.com/view/CR32667-master-aml/view/COMPARE/

smoskvin

2021-11-18 20:57

administrator   ~0105259

Please rebase branch to CR0-WEEK-46

git

2021-11-19 06:54

administrator   ~0105261

Branch CR32667_1 has been created by aml.

SHA-1: 9b461135b288deeeb8821f5651fd0a3270157e5f


Detailed log of new commits:

Author: aml
Date: Tue Nov 16 17:00:04 2021 +0300

    0032667: Coding - get rid of unused forward declarations [LibCtl to StepRepr]

aml

2021-11-19 06:56

developer   ~0105262

Hello Stanislav,
I resolved the merge conflict and pushed an update to the CR32667_1 branch.

smoskvin

2021-11-27 14:22

administrator   ~0105457

Combination -
OCCT branch : IR-2021-11-26
master SHA - 4a837ecec21bfe24d9c224c4b59aa9779156f297
49e51745631c52b6c452c65adae4d6dfa21a1b1e
Products branch : IR-2021-11-26 SHA - 5da5872bffc6c1fa745ee5e33ac09c4fffd349b4
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 18390.380000000398 / 18549.650000000624 [-0.86%]
Products
Total CPU difference: 11648.280000000103 / 11661.570000000122 [-0.11%]
Windows-64-VC14:
OCCT
Total CPU difference: 19927.859375 / 19945.046875 [-0.09%]
Products
Total CPU difference: 13059.03125 / 13091.625 [-0.25%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2021-11-27 15:04

administrator   ~0105481

Branch CR32667 has been deleted by mnt.

SHA-1: ba700ff0908b561e3e01dc2725c2c589adb54bfa

git

2021-11-27 15:04

administrator   ~0105482

Branch CR32667_1 has been deleted by mnt.

SHA-1: 9b461135b288deeeb8821f5651fd0a3270157e5f

Related Changesets

occt: master a81bd74a

2021-11-16 14:00:04

aml


Committer: smoskvin Details Diff
0032667: Coding - get rid of unused forward declarations [LibCtl to StepRepr] Affected Issues
0032667
mod - src/LocalAnalysis/LocalAnalysis.hxx Diff File
mod - src/LocalAnalysis/LocalAnalysis_CurveContinuity.hxx Diff File
mod - src/LocalAnalysis/LocalAnalysis_SurfaceContinuity.hxx Diff File
mod - src/LocOpe/LocOpe.hxx Diff File
mod - src/LocOpe/LocOpe_BuildShape.hxx Diff File
mod - src/LocOpe/LocOpe_BuildWires.hxx Diff File
mod - src/LocOpe/LocOpe_CSIntersector.hxx Diff File
mod - src/LocOpe/LocOpe_CurveShapeIntersector.hxx Diff File
mod - src/LocOpe/LocOpe_DPrism.hxx Diff File
mod - src/LocOpe/LocOpe_FindEdges.hxx Diff File
mod - src/LocOpe/LocOpe_FindEdgesInFace.hxx Diff File
mod - src/LocOpe/LocOpe_Generator.hxx Diff File
mod - src/LocOpe/LocOpe_GluedShape.hxx Diff File
mod - src/LocOpe/LocOpe_Gluer.hxx Diff File
mod - src/LocOpe/LocOpe_LinearForm.hxx Diff File
mod - src/LocOpe/LocOpe_Pipe.hxx Diff File
mod - src/LocOpe/LocOpe_Prism.hxx Diff File
mod - src/LocOpe/LocOpe_Revol.hxx Diff File
mod - src/LocOpe/LocOpe_RevolutionForm.hxx Diff File
mod - src/LocOpe/LocOpe_Spliter.hxx Diff File
mod - src/LocOpe/LocOpe_SplitShape.hxx Diff File
mod - src/LocOpe/LocOpe_WiresOnShape.hxx Diff File
mod - src/LProp/LProp_CurAndInf.hxx Diff File
mod - src/MAT/MAT_Arc.hxx Diff File
mod - src/MAT2d/MAT2d_Connexion.hxx Diff File
mod - src/MAT2d/MAT2d_CutCurve.hxx Diff File
mod - src/math/math.hxx Diff File
mod - src/math/math_BFGS.hxx Diff File
mod - src/math/math_BissecNewton.hxx Diff File
mod - src/math/math_BracketedRoot.hxx Diff File
mod - src/math/math_BracketMinimum.hxx Diff File
mod - src/math/math_BrentMinimum.hxx Diff File
mod - src/math/math_Crout.hxx Diff File
mod - src/math/math_DirectPolynomialRoots.hxx Diff File
mod - src/math/math_EigenValuesSearcher.hxx Diff File
mod - src/math/math_FRPR.hxx Diff File
mod - src/math/math_FunctionAllRoots.hxx Diff File
mod - src/math/math_FunctionRoot.hxx Diff File
mod - src/math/math_FunctionRoots.hxx Diff File
mod - src/math/math_FunctionSample.hxx Diff File
mod - src/math/math_FunctionSetRoot.hxx Diff File
mod - src/math/math_Gauss.hxx Diff File
mod - src/math/math_GaussLeastSquare.hxx Diff File
mod - src/math/math_GaussMultipleIntegration.hxx Diff File
mod - src/math/math_GaussSetIntegration.hxx Diff File
mod - src/math/math_GaussSingleIntegration.hxx Diff File
mod - src/math/math_Householder.hxx Diff File
mod - src/math/math_Jacobi.hxx Diff File
mod - src/math/math_KronrodSingleIntegration.hxx Diff File
mod - src/math/math_NewtonFunctionRoot.hxx Diff File
mod - src/math/math_NewtonFunctionSetRoot.hxx Diff File
mod - src/math/math_NewtonMinimum.hxx Diff File
mod - src/math/math_Powell.hxx Diff File
mod - src/math/math_SVD.hxx Diff File
mod - src/math/math_TrigonometricFunctionRoots.hxx Diff File
mod - src/math/math_Uzawa.hxx Diff File
mod - src/MeshVS/MeshVS_DeformedDataSource.hxx Diff File
mod - src/MeshVS/MeshVS_NodalColorPrsBuilder.hxx Diff File
mod - src/MeshVS/MeshVS_SensitiveMesh.hxx Diff File
mod - src/MeshVS/MeshVS_SensitivePolyhedron.hxx Diff File
mod - src/Message/Message_AttributeMeter.hxx Diff File
mod - src/Message/Message_AttributeObject.hxx Diff File
mod - src/Message/Message_Msg.hxx Diff File
mod - src/MoniTool/MoniTool_CaseData.hxx Diff File
mod - src/MoniTool/MoniTool_Element.hxx Diff File
mod - src/MoniTool/MoniTool_SignText.hxx Diff File
mod - src/MoniTool/MoniTool_Timer.hxx Diff File
mod - src/MoniTool/MoniTool_TransientElem.hxx Diff File
mod - src/MoniTool/MoniTool_TypedValue.hxx Diff File
mod - src/NLPlate/NLPlate_HGPPConstraint.hxx Diff File
mod - src/NLPlate/NLPlate_HPG0Constraint.hxx Diff File
mod - src/NLPlate/NLPlate_HPG0G1Constraint.hxx Diff File
mod - src/NLPlate/NLPlate_HPG0G2Constraint.hxx Diff File
mod - src/NLPlate/NLPlate_HPG0G3Constraint.hxx Diff File
mod - src/NLPlate/NLPlate_HPG1Constraint.hxx Diff File
mod - src/NLPlate/NLPlate_HPG2Constraint.hxx Diff File
mod - src/NLPlate/NLPlate_HPG3Constraint.hxx Diff File
mod - src/OpenGl/OpenGl_CappingAlgo.hxx Diff File
mod - src/OpenGl/OpenGl_Context.hxx Diff File
mod - src/OpenGl/OpenGl_GraduatedTrihedron.hxx Diff File
mod - src/OpenGl/OpenGl_GraphicDriver.hxx Diff File
mod - src/OpenGl/OpenGl_Group.hxx Diff File
mod - src/OpenGl/OpenGl_Resource.hxx Diff File
mod - src/OpenGl/OpenGl_SceneGeometry.hxx Diff File
mod - src/OpenGl/OpenGl_ShaderManager.hxx Diff File
mod - src/OpenGl/OpenGl_Structure.hxx Diff File
mod - src/OpenGl/OpenGl_Texture.hxx Diff File
mod - src/OpenGl/OpenGl_View.hxx Diff File
mod - src/OSD/OSD_DirectoryIterator.hxx Diff File
mod - src/OSD/OSD_Environment.hxx Diff File
mod - src/OSD/OSD_Error.hxx Diff File
mod - src/OSD/OSD_File.hxx Diff File
mod - src/OSD/OSD_FileIterator.hxx Diff File
mod - src/OSD/OSD_FileNode.hxx Diff File
mod - src/OSD/OSD_Host.hxx Diff File
mod - src/OSD/OSD_Process.hxx Diff File
mod - src/OSD/OSD_Protection.hxx Diff File
mod - src/PCDM/PCDM.hxx Diff File
mod - src/PCDM/PCDM_Reader.hxx Diff File
mod - src/PCDM/PCDM_Reference.hxx Diff File
mod - src/PCDM/PCDM_RetrievalDriver.hxx Diff File
mod - src/PCDM/PCDM_StorageDriver.hxx Diff File
mod - src/PCDM/PCDM_Writer.hxx Diff File
mod - src/Plate/Plate_D1.hxx Diff File
mod - src/Plate/Plate_D2.hxx Diff File
mod - src/Plate/Plate_D3.hxx Diff File
mod - src/Plate/Plate_FreeGtoCConstraint.hxx Diff File
mod - src/Plate/Plate_GlobalTranslationConstraint.hxx Diff File
mod - src/Plate/Plate_GtoCConstraint.hxx Diff File
mod - src/Plate/Plate_LinearScalarConstraint.hxx Diff File
mod - src/Plate/Plate_LinearXYZConstraint.hxx Diff File
mod - src/Plate/Plate_LineConstraint.hxx Diff File
mod - src/Plate/Plate_PinpointConstraint.hxx Diff File
mod - src/Plate/Plate_PlaneConstraint.hxx Diff File
mod - src/Plate/Plate_SampledCurveConstraint.hxx Diff File
mod - src/PLib/PLib.hxx Diff File
mod - src/PLib/PLib_HermitJacobi.hxx Diff File
mod - src/PLib/PLib_JacobiPolynomial.hxx Diff File
mod - src/Plugin/Plugin.hxx Diff File
mod - src/Poly/Poly.hxx Diff File
mod - src/Poly/Poly_CoherentLink.hxx Diff File
mod - src/Poly/Poly_CoherentTriangle.hxx Diff File
mod - src/Poly/Poly_CoherentTriangulation.hxx Diff File
mod - src/ProjLib/ProjLib_Cone.hxx Diff File
mod - src/ProjLib/ProjLib_Cylinder.hxx Diff File
mod - src/ProjLib/ProjLib_Plane.hxx Diff File
mod - src/ProjLib/ProjLib_ProjectOnPlane.hxx Diff File
mod - src/ProjLib/ProjLib_Projector.hxx Diff File
mod - src/ProjLib/ProjLib_Sphere.hxx Diff File
mod - src/ProjLib/ProjLib_Torus.hxx Diff File
mod - src/PrsDim/PrsDim_IdenticRelation.hxx Diff File
mod - src/PrsDim/PrsDim_MidPointRelation.hxx Diff File
mod - src/PrsMgr/PrsMgr_Presentation.hxx Diff File
mod - src/QABugs/QABugs.hxx Diff File
mod - src/Quantity/Quantity_Date.hxx Diff File
mod - src/Quantity/Quantity_Period.hxx Diff File
mod - src/Resource/Resource_Manager.hxx Diff File
mod - src/RWGltf/RWGltf_GltfJsonParser.hxx Diff File
mod - src/RWHeaderSection/RWHeaderSection.hxx Diff File
mod - src/RWStepAP214/RWStepAP214.hxx Diff File
mod - src/RWStepDimTol/RWStepDimTol_RWDatumReferenceModifierWithValue.hxx Diff File
mod - src/RWStepVisual/RWStepVisual_RWCoordinatesList.hxx Diff File
mod - src/RWStepVisual/RWStepVisual_RWSurfaceStyleTransparent.hxx Diff File
mod - src/RWStepVisual/RWStepVisual_RWTessellatedItem.hxx Diff File
mod - src/Select3D/Select3D_InteriorSensitivePointSet.hxx Diff File
mod - src/Select3D/Select3D_SensitiveCurve.hxx Diff File
mod - src/Select3D/Select3D_SensitiveFace.hxx Diff File
mod - src/Select3D/Select3D_SensitivePoly.hxx Diff File
mod - src/Select3D/Select3D_SensitiveTriangle.hxx Diff File
mod - src/SelectBasics/SelectBasics_SelectingVolumeManager.hxx Diff File
mod - src/SelectMgr/SelectMgr_SelectableObject.hxx Diff File
mod - src/SelectMgr/SelectMgr_ViewerSelector.hxx Diff File
mod - src/ShapeAlgo/ShapeAlgo.hxx Diff File
mod - src/ShapeAnalysis/ShapeAnalysis.hxx Diff File
mod - src/ShapeAnalysis/ShapeAnalysis_Edge.hxx Diff File
mod - src/ShapeAnalysis/ShapeAnalysis_FreeBoundData.hxx Diff File
mod - src/ShapeAnalysis/ShapeAnalysis_FreeBounds.hxx Diff File
mod - src/ShapeAnalysis/ShapeAnalysis_FreeBoundsProperties.hxx Diff File
mod - src/ShapeAnalysis/ShapeAnalysis_Geom.hxx Diff File
mod - src/ShapeAnalysis/ShapeAnalysis_TransferParameters.hxx Diff File
mod - src/ShapeAnalysis/ShapeAnalysis_WireOrder.hxx Diff File
mod - src/ShapeBuild/ShapeBuild.hxx Diff File
mod - src/ShapeConstruct/ShapeConstruct.hxx Diff File
mod - src/ShapeConstruct/ShapeConstruct_MakeTriangulation.hxx Diff File
mod - src/ShapeCustom/ShapeCustom.hxx Diff File
mod - src/ShapeExtend/ShapeExtend.hxx Diff File
mod - src/ShapeExtend/ShapeExtend_BasicMsgRegistrator.hxx Diff File
mod - src/ShapeExtend/ShapeExtend_ComplexCurve.hxx Diff File
mod - src/ShapeExtend/ShapeExtend_CompositeSurface.hxx Diff File
mod - src/ShapeExtend/ShapeExtend_Explorer.hxx Diff File
mod - src/ShapeFix/ShapeFix.hxx Diff File
mod - src/ShapeFix/ShapeFix_EdgeProjAux.hxx Diff File
mod - src/ShapeFix/ShapeFix_FixSmallFace.hxx Diff File
mod - src/ShapeFix/ShapeFix_FreeBounds.hxx Diff File
mod - src/ShapeFix/ShapeFix_Root.hxx Diff File
mod - src/ShapeFix/ShapeFix_Solid.hxx Diff File
mod - src/ShapeFix/ShapeFix_SplitCommonVertex.hxx Diff File
mod - src/ShapeFix/ShapeFix_Wireframe.hxx Diff File
mod - src/ShapeFix/ShapeFix_WireSegment.hxx Diff File
mod - src/ShapeFix/ShapeFix_WireVertex.hxx Diff File
mod - src/ShapePersistent/ShapePersistent_Geom_Curve.hxx Diff File
mod - src/ShapePersistent/ShapePersistent_Geom_Surface.hxx Diff File
mod - src/ShapeProcess/ShapeProcess.hxx Diff File
mod - src/ShapeProcess/ShapeProcess_ShapeContext.hxx Diff File
mod - src/ShapeUpgrade/ShapeUpgrade.hxx Diff File
mod - src/ShapeUpgrade/ShapeUpgrade_EdgeDivide.hxx Diff File
mod - src/ShapeUpgrade/ShapeUpgrade_RemoveLocations.hxx Diff File
mod - src/ShapeUpgrade/ShapeUpgrade_UnifySameDomain.hxx Diff File
mod - src/Standard/Standard.hxx Diff File
mod - src/StdLPersistent/StdLPersistent_HArray1.hxx Diff File
mod - src/StdPrs/StdPrs_Isolines.hxx Diff File
mod - src/StdPrs/StdPrs_ShadedShape.hxx Diff File
mod - src/StdPrs/StdPrs_ToolTriangulatedShape.hxx Diff File
mod - src/StdPrs/StdPrs_WFDeflectionRestrictedFace.hxx Diff File
mod - src/StdSelect/StdSelect_BRepOwner.hxx Diff File
mod - src/StdSelect/StdSelect_BRepSelectionTool.hxx Diff File
mod - src/StdSelect/StdSelect_Shape.hxx Diff File
mod - src/StdStorage/StdStorage_BacketOfPersistent.hxx Diff File
mod - src/StdStorage/StdStorage_HeaderData.hxx Diff File
mod - src/StdStorage/StdStorage_Root.hxx Diff File
mod - src/StdStorage/StdStorage_RootData.hxx Diff File
mod - src/StdStorage/StdStorage_TypeData.hxx Diff File
mod - src/StepAP214/StepAP214.hxx Diff File
mod - src/StepAP242/StepAP242_IdAttribute.hxx Diff File
mod - src/StepAP242/StepAP242_ItemIdentifiedRepresentationUsage.hxx Diff File
mod - src/StepBasic/StepBasic_ApprovalDateTime.hxx Diff File
mod - src/StepBasic/StepBasic_ApprovalPersonOrganization.hxx Diff File
mod - src/StepBasic/StepBasic_DocumentProductAssociation.hxx Diff File
mod - src/StepBasic/StepBasic_ExternallyDefinedItem.hxx Diff File
mod - src/StepBasic/StepBasic_ExternalSource.hxx Diff File
mod - src/StepBasic/StepBasic_MeasureWithUnit.hxx Diff File
mod - src/StepBasic/StepBasic_ProductDefinitionReferenceWithLocalRepresentation.hxx Diff File
mod - src/StepBasic/StepBasic_RoleAssociation.hxx Diff File
mod - src/StepBasic/StepBasic_SiUnitAndAreaUnit.hxx Diff File
mod - src/StepBasic/StepBasic_SiUnitAndLengthUnit.hxx Diff File
mod - src/StepBasic/StepBasic_SiUnitAndMassUnit.hxx Diff File
mod - src/StepBasic/StepBasic_SiUnitAndPlaneAngleUnit.hxx Diff File
mod - src/StepBasic/StepBasic_SiUnitAndRatioUnit.hxx Diff File
mod - src/StepBasic/StepBasic_SiUnitAndSolidAngleUnit.hxx Diff File
mod - src/StepBasic/StepBasic_SiUnitAndThermodynamicTemperatureUnit.hxx Diff File
mod - src/StepBasic/StepBasic_SiUnitAndTimeUnit.hxx Diff File
mod - src/StepBasic/StepBasic_SiUnitAndVolumeUnit.hxx Diff File
mod - src/STEPCAFControl/STEPCAFControl_ExternFile.hxx Diff File
mod - src/STEPCAFControl/STEPCAFControl_Reader.hxx Diff File
mod - src/STEPCAFControl/STEPCAFControl_Writer.hxx Diff File
mod - src/STEPConstruct/STEPConstruct.hxx Diff File
mod - src/STEPConstruct/STEPConstruct_Assembly.hxx Diff File
mod - src/STEPConstruct/STEPConstruct_ContextTool.hxx Diff File
mod - src/STEPControl/STEPControl_Controller.hxx Diff File
mod - src/StepData/StepData.hxx Diff File
mod - src/StepData/StepData_Described.hxx Diff File
mod - src/StepData/StepData_Field.hxx Diff File
mod - src/StepData/StepData_FieldList.hxx Diff File
mod - src/StepData/StepData_FieldList1.hxx Diff File
mod - src/StepData/StepData_FieldListD.hxx Diff File
mod - src/StepData/StepData_FieldListN.hxx Diff File
mod - src/StepData/StepData_FileProtocol.hxx Diff File
mod - src/StepData/StepData_Plex.hxx Diff File
mod - src/StepData/StepData_Protocol.hxx Diff File
mod - src/StepData/StepData_ReadWriteModule.hxx Diff File
mod - src/StepData/StepData_SelectNamed.hxx Diff File
mod - src/StepData/StepData_SelectType.hxx Diff File
mod - src/StepData/StepData_Simple.hxx Diff File
mod - src/StepData/StepData_StepDumper.hxx Diff File
mod - src/StepData/StepData_StepModel.hxx Diff File
mod - src/StepData/StepData_StepWriter.hxx Diff File
mod - src/StepDimTol/StepDimTol_GeometricTolerance.hxx Diff File
mod - src/StepDimTol/StepDimTol_GeometricToleranceWithModifiers.hxx Diff File
mod - src/StepDimTol/StepDimTol_ToleranceZone.hxx Diff File
mod - src/StepDimTol/StepDimTol_ToleranceZoneDefinition.hxx Diff File
mod - src/STEPEdit/STEPEdit.hxx Diff File
mod - src/StepElement/StepElement_CurveElementEndReleasePacket.hxx Diff File
mod - src/StepElement/StepElement_CurveElementSectionDerivedDefinitions.hxx Diff File
mod - src/StepElement/StepElement_SurfaceSection.hxx Diff File
mod - src/StepElement/StepElement_UniformSurfaceSection.hxx Diff File
mod - src/StepFEA/StepFEA_CurveElementEndOffset.hxx Diff File
mod - src/StepFEA/StepFEA_CurveElementEndRelease.hxx Diff File
mod - src/StepFEA/StepFEA_ElementGeometricRelationship.hxx Diff File
mod - src/StepFEA/StepFEA_FeaLinearElasticity.hxx Diff File
mod - src/StepFEA/StepFEA_FeaMoistureAbsorption.hxx Diff File
mod - src/StepFEA/StepFEA_FeaSecantCoefficientOfLinearThermalExpansion.hxx Diff File
mod - src/StepFEA/StepFEA_FeaShellBendingStiffness.hxx Diff File
mod - src/StepFEA/StepFEA_FeaShellMembraneBendingCouplingStiffness.hxx Diff File
mod - src/StepFEA/StepFEA_FeaShellMembraneStiffness.hxx Diff File
mod - src/StepFEA/StepFEA_FeaShellShearStiffness.hxx Diff File
mod - src/StepFEA/StepFEA_FeaTangentialCoefficientOfLinearThermalExpansion.hxx Diff File
mod - src/StepFEA/StepFEA_FreedomAndCoefficient.hxx Diff File
mod - src/StepGeom/StepGeom_Conic.hxx Diff File
mod - src/StepGeom/StepGeom_CurveReplica.hxx Diff File
mod - src/StepGeom/StepGeom_OffsetCurve3d.hxx Diff File
mod - src/StepGeom/StepGeom_OffsetSurface.hxx Diff File
mod - src/StepGeom/StepGeom_PointReplica.hxx Diff File
mod - src/StepGeom/StepGeom_SurfaceCurve.hxx Diff File
mod - src/StepGeom/StepGeom_SurfaceReplica.hxx Diff File
mod - src/StepRepr/StepRepr_CharacterizedRepresentation.hxx Diff File
mod - src/StepRepr/StepRepr_CompoundRepresentationItem.hxx Diff File
mod - src/StepRepr/StepRepr_ConfigurationDesign.hxx Diff File
mod - src/StepRepr/StepRepr_MappedItem.hxx Diff File
mod - src/StepRepr/StepRepr_MaterialDesignation.hxx Diff File
mod - src/StepRepr/StepRepr_PropertyDefinition.hxx Diff File
mod - src/StepRepr/StepRepr_PropertyDefinitionRepresentation.hxx Diff File
mod - src/StepRepr/StepRepr_RepresentationRelationshipWithTransformation.hxx Diff File
mod - src/StepRepr/StepRepr_ReprItemAndMeasureWithUnit.hxx Diff File
mod - src/StepRepr/StepRepr_SpecifiedHigherUsageOccurrence.hxx Diff File

Issue History

Date Modified Username Field Change
2021-11-16 17:38 aml New Issue
2021-11-16 17:38 aml Assigned To => aml
2021-11-16 17:42 git Note Added: 0105221
2021-11-16 17:42 aml Relationship added child of 0032615
2021-11-17 08:35 aml Note Added: 0105225
2021-11-17 08:35 aml Assigned To aml => kgv
2021-11-17 08:35 aml Status new => resolved
2021-11-17 08:35 aml Steps to Reproduce Updated
2021-11-17 16:09 kgv Test case number => N/A
2021-11-17 16:09 kgv Assigned To kgv => bugmaster
2021-11-17 16:09 kgv Status resolved => reviewed
2021-11-18 20:57 smoskvin Note Added: 0105259
2021-11-18 20:57 smoskvin Assigned To bugmaster => aml
2021-11-18 20:57 smoskvin Status reviewed => assigned
2021-11-19 06:54 git Note Added: 0105261
2021-11-19 06:56 aml Note Added: 0105262
2021-11-19 06:57 aml Assigned To aml => bugmaster
2021-11-19 06:57 aml Status assigned => feedback
2021-11-19 20:54 kgv Status feedback => reviewed
2021-11-21 12:27 bugmaster Status reviewed => tested
2021-11-21 14:58 kgv Status tested => assigned
2021-11-21 14:58 kgv Status assigned => resolved
2021-11-21 14:58 kgv Status resolved => reviewed
2021-11-27 14:22 smoskvin Note Added: 0105457
2021-11-27 14:22 smoskvin Status reviewed => tested
2021-11-27 14:52 smoskvin Changeset attached => occt master a81bd74a
2021-11-27 14:52 smoskvin Assigned To bugmaster => smoskvin
2021-11-27 14:52 smoskvin Status tested => verified
2021-11-27 14:52 smoskvin Resolution open => fixed
2021-11-27 15:04 git Note Added: 0105481
2021-11-27 15:04 git Note Added: 0105482